summaryrefslogtreecommitdiffstats
path: root/development/Coin
diff options
context:
space:
mode:
Diffstat (limited to 'development/Coin')
-rwxr-xr-xdevelopment/Coin/Coin.SlackBuild82
-rw-r--r--development/Coin/Coin.info10
-rw-r--r--development/Coin/README14
-rw-r--r--development/Coin/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/development/Coin/Coin.SlackBuild b/development/Coin/Coin.SlackBuild
new file mode 100755
index 0000000000..0b75f871f7
--- /dev/null
+++ b/development/Coin/Coin.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for Coin
+
+# Originally written by Aleksandar Samardzic <asamardzic@gmail.com>
+# Versions >= 3.1.3 maintained by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2010/04/13
+
+PRGNAM=Coin
+VERSION=${VERSION:-3.1.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ ARCHQUADLET=""
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET="-gnueabi"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux$ARCHQUADLET
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog FAQ* INSTALL* LICENSE.GPL NEWS README* RELNOTES THANKS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/Coin/Coin.info b/development/Coin/Coin.info
new file mode 100644
index 0000000000..6cb08c0fd0
--- /dev/null
+++ b/development/Coin/Coin.info
@@ -0,0 +1,10 @@
+PRGNAM="Coin"
+VERSION="3.1.3"
+HOMEPAGE="http://www.coin3d.org/lib/coin/"
+DOWNLOAD="http://ftp.coin3d.org/coin/src/all/Coin-3.1.3.tar.gz"
+MD5SUM="1538682f8d92cdf03e845c786879fbea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/development/Coin/README b/development/Coin/README
new file mode 100644
index 0000000000..26249a04bd
--- /dev/null
+++ b/development/Coin/README
@@ -0,0 +1,14 @@
+Coin is a high-level 3D graphics toolkit for developing cross-platform
+real-time 3D visualization and visual simulation software.
+
+Coin is built on OpenGL and uses scene graph data structures to render 3D
+graphics in real-time. Basic import, rendering, and interaction with a
+3D object can be implemented in just a few lines of code, and programmer
+efficiency is greatly increased compared with programming directly with
+OpenGL. OpenGL code and Coin code can co-exist in the same application,
+which makes gradual migration from OpenGL to Coin possible.
+
+Coin is fully compatible with SGI Open Inventor 2.1, the de facto standard
+for 3D visualization and visual simulation software in the scientific and
+engineering community. Additional features in Coin include VRML97 support,
+3D sound, 3D textures, and parallel rendering on multiple processors.
diff --git a/development/Coin/slack-desc b/development/Coin/slack-desc
new file mode 100644
index 0000000000..802d03beb0
--- /dev/null
+++ b/development/Coin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+Coin: Coin (an Open Inventor API compatible library)
+Coin:
+Coin: Coin is a high-level, retained-mode toolkit for effective 3D
+Coin: graphics development. Cross-platform, full access to source code,
+Coin: no royalties or run-time fees.
+Coin:
+Coin: Homepage: http://www.coin3d.org/lib/coin/
+Coin:
+Coin:
+Coin:
+Coin: